(function($) {
    "use strict";
    //scroll top button if needed
    $(window).on('scroll', function() {
        if ($('header').length) {
            var strickyScrollPos = 50;
            if ($(window).scrollTop() > strickyScrollPos) {
                $('header').addClass("scroll");
            } else if ($(this).scrollTop() <= strickyScrollPos) {
                $('header').removeClass("scroll");
            }
        }
    });

    //preloader    
    $(window).on('load', function() {
        if ($('.preloader').length) {
            $('.preloader').fadeOut('slow');
        }
    });

    //fancybox
    $(".data-fancybox").fancybox();

    //mobile menu
    var Nav = $('#menu').hcOffcanvasNav({
        disableAt: 900,
        position: 'left',
        levelTitles: true,
        labelClose: 'Kapat',
        labelBack: 'Geri',
    });

    $(".hc-nav-trigger").click(function() {
        Nav.open();
    })

    $(".lang-open").click(function() {
        $(this).parent().find("ul").slideToggle(400);
    })

    //Accordion
    $(".accordion-menu .item .accordion-content").hide();
    $(".accordion-menu .item:first-child .accordion-content").show();
    $(".accordion-menu .item:first-child .accordion-title a").addClass("active");

    $(".accordion-menu .item .accordion-title a").click(function() {
        var id = $(this).data("id");
        $(".accordion-menu .item .accordion-content").slideUp();
        $(".accordion-menu .item .accordion-title a").removeClass("active");

        $(id).slideDown();
        $(this).addClass("active");
    })

    $(".search-open").click(function() {
        $(this).parent().find("form").addClass("active");
    })

    $(".close-form").click(function() {
        $(this).parent().removeClass("active");
    })

    $(".haberler-content:first-child").addClass("current");
    $("#newsTab li:first-child a").addClass("active")
    $(".right-link a:first-child").addClass("active")
    $("#newsTab li a").click(function() {
        var id = $(this).data("id");
        $("#newsTab li a").removeClass("active");
        $(".haberler-content").removeClass("current");
        $(".right-link a").removeClass("active");

        $(this).addClass("active");
        $(id).addClass("current");
        $(id + "-link").addClass("active");
    });

    $(".project-slider").owlCarousel({
        loop: true,
        margin: 20,
        autoplay: true,
        smartSpeed: 800,
        nav: true,
        navText: [
            "<i class='flaticon-right'>",
            "<i class='flaticon-right'>",
        ],
        autoplayTimeout: 4000,
        responsive: {
            0: {
                items: 1,
            },
            600: {
                items: 3,
            },
            1000: {
                items: 5,
            }
        }
    })

    $(".others .owl-carousel").owlCarousel({
        loop: true,
        margin: 30,
        autoplay: true,
        smartSpeed: 800,
        nav: true,
        center: true,
        navText: [
            "<i class='flaticon-right-chevron'>",
            "<i class='flaticon-right-chevron'>",
        ],
        autoplayTimeout: 4000,
        responsive: {
            0: {
                items: 1,
            },
            600: {
                items: 2,
            },
            1000: {
                items: 3,
            }
        }
    })

    $(".project-slider:first-child").addClass("current");
    $("#projectsTab li:first-child a").addClass("active")
    $("#projectsTab li a").click(function() {
        var id = $(this).data("id");
        $("#projectsTab li a").removeClass("active");
        $(".project-slider").removeClass("current");
        $(this).addClass("active");
        $(id).addClass("current");
    })

    $(".birimler-tab ul li:first-child a").addClass("active")
    $(".birimler-tab ul li a").click(function() {
        var id = $(this).data("id");
        $(".birimler-tab ul li a").removeClass("active");
        $(".projeler .birimler-wrapper").removeClass("current");

        $(this).addClass("active");
        $(id).addClass("current");
    });
    
    if($(window).width() < 900) {
        $(".page-banner .page-wrapper .page-list").click(function() {
            $(this).find("ul").slideToggle(400);
            $(this).find("h3 i").toggleClass("active");
        })
    }

    $(".share").click(function() {
        $(this).parent().find("ul").slideToggle();
    })

    var fSize = 15;
    $(".increase").click(function() {
        fSize++;
        $("body p").css("font-size", fSize+ 'px');
    })
    $(".decrease").click(function() {
        fSize--;
        $("body p").css("font-size", fSize+ 'px');
    })    
    
})(jQuery);

//wow init
new WOW({
    mobile: false, 
}).init();


//owl carousel with progress bar
$(document).ready(function() {
    initSlider();

    function initSlider() {
        $(" #sliderWrapper .owl-carousel").owlCarousel({
            items: 1,
            loop: true,
            autoplay: true,
            smartSpeed: 700,
            autoplayTimeout: 7000,
            onInitialized: startProgressBar,
            onTranslate: resetProgressBar,
            onTranslated: startProgressBar
        });
    }

    $("#sliderWrapper .owl-carousel .owl-dots").addClass("container");

    function startProgressBar() {
        $(".slide-progress").css({
            width: "100%",
            transition: "width 8000ms"
        });
    }

    function resetProgressBar() {
        $(".slide-progress").css({
            width: 0,
            transition: "width 0s"
        });
    }
});